{% load static wagtailcore_tags menu_tags wagtailimages_tags cumpa_template_tags %}
<section id="about" class="section about">
  <div class="display-table">
    <div class="display-content">
      <div class="container">
        <div class="row">
          {% for block in value %}
            {% if block.block_type == 'about_me' %}
              <div class="col-lg-12">
                <div class="text-center title">
                  <h2 class="text-dark">About <span class="base-color">Me</span></h2>
                  <p class="text-muted max-width-450 mb-5">{{ block.value }}</p>
                </div>
              </div>
            {% elif block.block_type == 'picture' %}
              <div class="col-lg-6">
                <div class="image-border">
                  {% if block.value %}
                    {% image block.value fill-540x361 %}
                  {% else %}
                    <img src="https://placehold.co/690x460" alt="picture">
                  {% endif %}
                </div>
              </div>
            {% elif block.block_type == 'professional_profile' %}
              <div class="col-lg-6 mt-4 mt-lg-0">
                <div class="personal-item ">
                  <h3 class="text-dark mt-4 mt-lg-0">{{ block.value|safe }}</h3>
                  {% elif block.block_type == 'personal_info' %}
                  <div class="row">
                    {% middle_of_list block.value as middle %}
                    {% for personal_info in block.value %}
                      {% if forloop.first %}
                        <div class="col-6 personal-info">
                        <ul class="list-unstyled pt-4">
                      {% endif %}
                    <li>
                      <p>{{ personal_info.personal_label }} :
                        <span> {{ personal_info.personal_value }}</span></p>
                    </li>
                    {% if forloop.counter == middle %}
                      </ul>
                      </div>
                      <div class="col-6 personal-info">
                      <ul class="list-unstyled pt-4">
                    {% endif %}
                    {% if forloop.last %}
                      </ul>
                      </div>
                    {% endif %}
                    {% endfor %}
                  </div>
                  {% elif block.block_type == 'cv_document' %}
                </div>
                <div class="button-border mt-3 mb-lg-0 mr-4">
                  <a href="{{ block.value.file.url }}" target="_blank" class="pill-button">Download
                    CV.</a>
                </div>
                {% elif block.block_type == 'hire_me' %}
                <div class="button-border mt-3 mb-lg-0 to-contact">
                  <a href="{{ block.value }}" class="pill-button">Hire Me</a>
                </div>
              </div>
              </div>
            {% elif block.block_type == 'count_up' and block.value|length > 0 %}
              <div id="count-up" class="count-up text-center box-border">
                <div class="row">
                  {% for count_up in block.value %}
                    <div class="col-6 col-lg-3 my-3 count-item ">
                      <div class="count-icon">
                        <img src="{{ count_up.icon.file.url }}" alt="{{ count_up.label }}">
                      </div>
                      <div class="my-3">
                                                <span class="count-number" data-from="0" data-to="{{ count_up.count }}"
                                                      data-speed="10">{{ count_up.count }}</span>
                      </div>
                      <p class="mb-0">{{ count_up.label }}</p>
                    </div>
                  {% endfor %}
                </div>
              </div>
            {% elif block.block_type == 'services' and block.value|length > 0 %}
              <div class="services colorfull-service">
                <div class="row mt-5">
                  <div class="col-12">
                    <h3 class="mb-0 text-dark">What <span class="base-color">I'm Doing</span></h3>
                  </div>
                </div>
                <div class="row">
                  {% for service in block.value %}
                    <div class="col-lg-4 text-left">
                      <div class="image-border">
                        <div class="services-item box-hover-border data-background"
                             data-color="{% cycle '#ff5380' '#fbdd62' '#0bceaf' %}">
                          <div class="float-left mt-lg-1 d-inline-block services-icon">
                            <img src="{{ service.image.url }}"
                                 alt="{{ service.image.title }}">
                          </div>
                          <div class="services-content">
                            <h5 class="mb-3 text-white">{{ service.title }}</h5>
                            <p class="text-white mb-0">{{ service.description }}</p>
                          </div>
                        </div>
                      </div>
                    </div>
                  {% endfor %}
                </div>
              </div>
            {% elif block.block_type == 'testimonials' and block.value|length > 0 %}
              <div class="testimonial mt-5">
                <div class="col-12">
                  <h3 class="mb-0 text-dark">Client <span class="base-color">Says</span></h3>
                </div>
                <div class="owl-carousel">
                  {% for testimonial in block.value %}
                    <div class="testimonial-item box-border">
                      <div class="testimonial-image">
                        <div class="testimonial-image-border">
                          {% if testimonial.photo %}
                            {% image testimonial.photo fill-85x85 %}
                          {% else %}
                            <img src="https://placehold.co/85x85" alt="/">
                          {% endif %}
                        </div>
                      </div>
                      <p class="mb-0 mt-2 text-muted">{{ testimonial.content }}</p>
                      <span class="d-block mt-3 font-weight-bold mr-2">{{ testimonial.full_name }}
                        {% if testimonial.job %}<small class="text-muted">,
                          {{ testimonial.job }}{% endif %}</small></span>
                    </div>
                  {% endfor %}
                </div>
              </div>
            {% endif %}
          {% endfor %}
      </div>
    </div>
  </div>
</section>
